diff --git a/modules/admin-mini/luasrc/controller/mini/system.lua b/modules/admin-mini/luasrc/controller/mini/system.lua
index 2559ac1..b0ec5bd 100644
--- a/modules/admin-mini/luasrc/controller/mini/system.lua
+++ b/modules/admin-mini/luasrc/controller/mini/system.lua
@@ -20,6 +20,7 @@ function index()
 	local i18n = luci.i18n.translate
 
 	entry({"mini", "system"}, alias("mini", "system", "index"), _("System"), 40).index = true
+	entry({"mini", "system", "sshkeys"}, form("mini/sshkeys"), _("<abbr title=\"Secure Shell\">SSH</abbr>-Keys"), 30)
 	entry({"mini", "system", "index"}, cbi("mini/system", {autoapply=true}), _("General"), 1)
 	entry({"mini", "system", "passwd"}, form("mini/passwd"), _("Admin Password"), 10)
 	entry({"mini", "system", "backup"}, call("action_backup"), _("Backup / Restore"), 80)
--- /dev/null	2011-04-25 23:56:55.929096754 +0200
+++ b/modules/admin-mini/luasrc/model/cbi/mini/sshkeys.lua	2011-04-27 22:41:12.076233861 +0200
@@ -0,0 +1,35 @@
+--[[
+LuCI - Lua Configuration Interface
+
+Copyright 2008 Steven Barth <steven@midlink.org>
+Copyright 2008 Jo-Philipp Wich <xm@leipzig.freifunk.net>
+
+Licensed under the Apache License, Version 2.0 (the "License");
+you may not use this file except in compliance with the License.
+You may obtain a copy of the License at
+
+	http://www.apache.org/licenses/LICENSE-2.0
+
+$Id$
+]]--
+local keyfile = "/etc/dropbear/authorized_keys" 
+
+f = SimpleForm("sshkeys", translate("<abbr title=\"Secure Shell\">SSH</abbr>-Keys"), translate("Here you can paste public <abbr title=\"Secure Shell\">SSH</abbr>-Keys (one per line) for <abbr title=\"Secure Shell\">SSH</abbr> public-key authentication."))
+
+t = f:field(TextValue, "keys")
+t.rmempty = true
+t.rows = 10
+function t.cfgvalue()
+	return nixio.fs.readfile(keyfile) or ""
+end
+
+function f.handle(self, state, data)
+	if state == FORM_VALID then
+		if data.keys then
+			nixio.fs.writefile(keyfile, data.keys:gsub("\r\n", "\n"))
+		end
+	end
+	return true
+end
+
+return f
